Bug 250494 - RFE: Add object classes for Security-Enhanced PostgreSQL
Summary: RFE: Add object classes for Security-Enhanced PostgreSQL
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy   
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 249522
TreeView+ depends on / blocked
 
Reported: 2007-08-01 21:43 UTC by rob
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-24 12:07:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description rob 2007-08-01 21:43:58 UTC
Security-Enhanced PostgreSQL is up for package review (#249522) and depends on
some policy changes that cannot be incorporated in policy modules.

A request was made to Chris PeBenito to incorporate these changes into reference
policy, here: http://marc.info/?l=selinux&m=118597087013327&w=2

Dan Walsh indicated his preference that these changes be included upstream
rather than as a patch for Fedora's policy: <dwalsh:#selinux> Method, I would
prefer they come from upstream.

I am creating this bug to track this issue, indicate that a user desires this
enhancement, and to have the Security-Enhanced PostgreSQL package review block
on it.

Comment 1 KaiGai Kohei 2007-08-10 02:11:14 UTC
http://marc.info/?l=selinux&m=118666527208126&w=2

The definitions of object classes and permissions for SE-PostgreSQL got merged 
into the upstreamed reference policy.


Comment 2 KaiGai Kohei 2007-08-22 16:51:52 UTC
The selinux-policy-3.0.6-1 or later got the object classes definition for SE-
PostgreSQL.

Rob, can you close ths issue?

--- selinux-policy.spec	21 Aug 2007 20:08:22 -0000	1.501
+++ selinux-policy.spec	22 Aug 2007 14:46:21 -0000	1.502
@@ -16,8 +16,8 @@
 %define CHECKPOLICYVER 2.0.3-1
 Summary: SELinux policy configuration
 Name: selinux-policy
-Version: 3.0.5
-Release: 11%{?dist}
+Version: 3.0.6
+Release: 1%{?dist}
 License: GPL
 Group: System Environment/Base
 Source: serefpolicy-%{version}.tgz
@@ -172,7 +172,7 @@
 
 %description
 SELinux Reference Policy - modular.
-Based off of reference policy: Checked out revision 2370.
+Based off of reference policy: Checked out revision 2393.
 
 %prep 
 %setup -q -n serefpolicy-%{version}


Comment 3 rob 2007-08-22 17:35:44 UTC
selinux-policy-3.0.6-1 has not yet built correctly, so this is not quite
resolved yet.

Comment 4 Mamoru TASAKA 2007-08-24 09:28:35 UTC
3.0.6-1.fc8 is already in koji repo and can we close this
now?
http://koji.fedoraproject.org/koji/buildinfo?buildID=15255

Comment 5 KaiGai Kohei 2007-08-24 11:50:51 UTC
I also think it is the time to close the issue.

Comment 6 Mamoru TASAKA 2007-08-24 12:07:48 UTC
(In reply to comment #5)
> I also think it is the time to close the issue.

Okay, now closing.


Note You need to log in before you can comment on or make changes to this bug.